var SETTINGS = 'scrollbars=no,toolbar=no,location=no,titlebar=no,directories=no,status=no,menubar=no';

var getPopupDimensions = function getPopupDimensions(width, height) {
  var wLeft = window.screenLeft || window.screenX;
  var wTop = window.screenTop || window.screenY;

  var left = wLeft + window.innerWidth / 2 - width / 2;
  var top = wTop + window.innerHeight / 2 - height / 2;

  return 'width=' + width + ',height=' + height + ',top=' + top + ',left=' + left;
};
/*
let options = {
  method: 'GET',
  headers: {
      'Content-Type': 'application/json',
      'Access-Control-Allow-Origin' : '*'
  },
};
*/
var openPopup = function openPopup(url, name, width, height) {
  return window.open(url, name, SETTINGS + ',' + getPopupDimensions(width, height));
};

export default openPopup;